package com.blockchain.server.btc.inner;

import com.blockchain.common.base.dto.ResultDTO;
import com.blockchain.common.base.util.SSOHelper;
import com.blockchain.server.btc.common.constants.BtcApplicationConstans;
import com.blockchain.server.btc.controller.api.BtcWalletApi;
import com.blockchain.server.btc.dto.BtcWalletDTO;
import com.blockchain.server.btc.inner.api.BtcWalletInnerApi;
import com.blockchain.server.btc.service.BtcWalletService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Api(BtcWalletInnerApi.MARKET_CONTROLLER_API)
@RestController
@RequestMapping("/inner/wallet")
public class BtcWalletInner {

    @Autowired
    private BtcWalletService btcWalletService;

    @ApiOperation(value = BtcWalletInnerApi.CreateWallet.METHOD_API_NAME, notes = BtcWalletInnerApi.CreateWallet.METHOD_API_NOTE)
    @GetMapping("/createWallet")
    public ResultDTO createWallet(@ApiParam(BtcWalletInnerApi.CreateWallet.USEROPENID) @RequestParam("userOpenId") String userOpenId) {
        return ResultDTO.requstSuccess(btcWalletService.insertWallet(userOpenId));
    }

    @GetMapping("/getWallets")
    public ResultDTO<List<BtcWalletDTO>> getWallets(@RequestParam("userId") String userId) {
        return ResultDTO.requstSuccess(btcWalletService.selectAllByUserOpenId(userId));
    }

}
