package com.blockchain.server.cct.mapper;

import com.blockchain.server.cct.entity.Commission;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.math.BigDecimal;
import java.util.Date;

/**
 * CommissionMapper 数据访问类
 *
 * @version 1.0
 * @date 2019-07-18 14:28:26
 */
@Repository
public interface CommissionMapper extends Mapper<Commission> {

    /***
     * 行锁更新数据
     * @param userId
     * @param coinName
     * @param status
     * @param amount
     * @param modifyTime
     * @return
     */
    int updateByRowLock(@Param("userId") String userId,
                        @Param("coinName") String coinName,
                        @Param("status") String status,
                        @Param("amount") BigDecimal amount,
                        @Param("modifyTime") Date modifyTime);

    /***
     * 根据用户、状态、币种查询
     * @param userId
     * @param status
     * @param coinName
     * @return
     */
    Commission selectByUserAndStatusAndCoin(@Param("userId") String userId,
                                            @Param("status") String status,
                                            @Param("coinName") String coinName);

    /***
     * 根据id查询，排他锁
     * @param id
     * @return
     */
    Commission selectForUpdate(@Param("id") String id);
}