package com.blockchain.server.cct.service.impl;

import com.blockchain.server.cct.common.enums.CctDataEnums;
import com.blockchain.server.cct.dto.config.ConfigDTO;
import com.blockchain.server.cct.entity.Config;
import com.blockchain.server.cct.mapper.ConfigMapper;
import com.blockchain.server.cct.service.ConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Service
public class ConfigServiceImpl implements ConfigService {

    @Autowired
    private ConfigMapper configMapper;

    @Override
    public Config selectByKey(String key, String status) {
        return configMapper.selectByKeyAndStatus(key, status);
    }

    @Override
    public List<ConfigDTO> listServiceCharge() {
        List<ConfigDTO> configs = new ArrayList<>();
        //挂单数据
        Config makerCharge = configMapper.selectByKey(CctDataEnums.CONFIG_MAKER_CHARGE.getStrVlue());
        ConfigDTO makerChargeDTO = new ConfigDTO();
        makerChargeDTO.setDataTag(makerCharge.getDataTag());
        makerChargeDTO.setDataValue(makerCharge.getDataValue());

        //吃单数据
        Config takerCharge = configMapper.selectByKey(CctDataEnums.CONFIG_TAKER_CHARGE.getStrVlue());
        ConfigDTO takerChargeDTO = new ConfigDTO();
        takerChargeDTO.setDataTag(takerCharge.getDataTag());
        takerChargeDTO.setDataValue(takerCharge.getDataValue());

        configs.add(makerChargeDTO);
        configs.add(takerChargeDTO);
        return configs;
    }

    @Override
    public BigDecimal selectCommissionCharge() {
        Config config = configMapper.selectByKeyAndStatus(CctDataEnums.CONFIG_COMMISSION_CHARGE.getStrVlue(),
                CctDataEnums.COMMON_STATUS_YES.getStrVlue());
        if (config != null) {
            return new BigDecimal(config.getDataValue());
        }
        return null;
    }

    @Override
    public String selectCommissionCoin() {
        Config config = configMapper.selectByKeyAndStatus(CctDataEnums.CONFIG_COMMISSION_COIN.getStrVlue(),
                CctDataEnums.COMMON_STATUS_YES.getStrVlue());
        if (config != null) {
            return config.getDataValue();
        }
        return null;
    }

    @Override
    public Integer selectCommissionValidity() {
        Config config = configMapper.selectByKeyAndStatus(CctDataEnums.CONFIG_COMMISSION_VALIDITY.getStrVlue(),
                CctDataEnums.COMMON_STATUS_YES.getStrVlue());
        if (config != null) {
            Integer validity = Integer.valueOf(config.getDataValue());
            //大于等于0的时候返回配置值，其他情况返回空
            if (validity > 0) {
                return validity;
            }
        }
        return null;
    }
}
