package com.blockchain.server.currency.redis;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

/**
 * \* <p>Desciption:法币缓存</p>
 * \* CreateTime: 2019/2/21 20:07
 * \* User: XianChaoWei
 * \* Version: V1.0
 * \
 */
@Component
public class MarketLegalCache {
    public static final String MARKET_LEGAL_CACHE = "market:legal:";
    public static final long MARKET_REDIS_TIME = 365;

    @Autowired
    private RedisTemplate redisTemplate;

    public void setMarketCache(String currencyPair,double amount){
        redisTemplate.opsForValue().set(MARKET_LEGAL_CACHE + currencyPair, amount, MARKET_REDIS_TIME, TimeUnit.DAYS);
    }

    public double getMarketCache(String currencyPair){
        String key = MARKET_LEGAL_CACHE + currencyPair;
        if (redisTemplate.hasKey(key)) {//如果有token信息，更新token的有效时间
            return (double) redisTemplate.opsForValue().get(key);
        }
        return 0;
    }

}
