package com.blockchain.server.eos.service.impl;

import com.blockchain.common.base.util.ExceptionPreconditionUtils;
import com.blockchain.server.eos.common.constant.EosConstant;
import com.blockchain.server.eos.dto.WalletInDTO;
import com.blockchain.server.eos.mapper.WalletInMapper;
import com.blockchain.server.eos.service.EosWalletInService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Harvey
 * @date 2019/2/25 10:11
 * @user WIN10
 */
@Service
public class EosWalletInServiceImpl implements EosWalletInService {

    @Autowired
    private WalletInMapper walletInMapper;

    /**
     * 查询对应的代币名称充值账户
     *
     * @param tokenName
     * @return
     */
    @Override
    public WalletInDTO selectWalletInAccount(String tokenName) {
        ExceptionPreconditionUtils.notEmpty(tokenName);
        return walletInMapper.selectWalletInAccount(tokenName, EosConstant.WalletInStatus.EOS_WALLET_IN_USABLE);
    }


}
