package com.blockchain.server.eth.feign;

import com.blockchain.common.base.dto.ResultDTO;
import com.blockchain.server.eth.feign.api.UserInnerApi;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author huangxl
 * @create 2019-03-27 16:19
 */
@FeignClient("dapp-user-server")
public interface UserFeign {

    String CONTENT_PATH = "/inner";

    @ApiOperation(value = UserInnerApi.ValidateSmsg.METHOD_TITLE_NAME, notes = UserInnerApi.ValidateSmsg.METHOD_TITLE_NOTE)
    @PostMapping(CONTENT_PATH + "/validateSmsg")
    ResultDTO validateSmsg(@ApiParam(UserInnerApi.ValidateSmsg.METHOD_API_VERIFYCODE) @RequestParam("verifyCode") String verifyCode,
                           @ApiParam(UserInnerApi.ValidateSmsg.METHOD_API_PHONE) @RequestParam("phone") String phone);


    /**
     * 禁止提现
     * @param userId
     * @return
     */
    @PostMapping("/inner/verifyBanWithdraw")
    ResultDTO verifyBanWithdraw(@RequestParam("userId") String userId);

    /**
     * 免提现手续费
     * @param userOpenId
     * @return
     */
    @PostMapping("/inner/verifyFreeWithdraw")
    ResultDTO<Boolean> verifyFreeWithdraw(@RequestParam("userId") String userOpenId);

}