package com.blockchain.server.eth.inner;

import com.blockchain.common.base.dto.GasDTO;
import com.blockchain.common.base.dto.ResultDTO;
import com.blockchain.server.eth.common.constants.EthConfigConstants;
import com.blockchain.server.eth.service.IConfigWalletParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/inner/walletParam")
public class ConfigWalletParamInner {
    @Autowired
    private IConfigWalletParamService walletParamService;

    @GetMapping("/getGasConfig")
    public ResultDTO<GasDTO> getGasConfig(@RequestParam(value = "tokenSymbol", defaultValue = EthConfigConstants.MODULE_TYPE) String tokenSymbol) {
        return ResultDTO.requstSuccess(walletParamService.getGasConfig(tokenSymbol));
    }

}
