package com.blockchain.server.otc.service;

import com.blockchain.server.otc.entity.MarketApply;

public interface MarketApplyService {

    /***
     * 申请市商或申请取消市商
     * @param userId
     * @param applyType
     */
    void applyMarket(String userId, String applyType);

    /**
     * 提交成为市商申请后直接成为市商
     *
     * @param userId
     */
    void asMarket(String userId);

    /**
     * 提交取消申请后取消市商身份
     *
     * @param userId
     */
    void cancelMarket(String userId);

    /***
     * 根据用户id和申请类型查询
     * @param userId
     * @param applyType
     * @param status
     * @return
     */
    MarketApply getByUserIdAndApplyTypeAndStatus(String userId, String applyType, String status);
}
