package com.blockchain.server.otc.service;

import com.blockchain.server.otc.entity.MarketFreeze;

import java.math.BigDecimal;

public interface MarketFreezeService {

    /***
     * 根据用户id查询保证金信息
     * @param userId
     * @return
     */
    MarketFreeze getByUserId(String userId);

    /***
     * 新建用户保证金信息
     * @param userId
     * @param amount
     * @param coinName
     * @return
     */
    int insertMarketFreeze(String userId, BigDecimal amount, String coinName);

    /***
     * 删除保证金记录
     * @param userId
     * @return
     */
    int deleteMarketFreeze(String userId);
}
