package com.blockchain.server.otc.service.impl;

import com.blockchain.server.otc.entity.MarketFreeze;
import com.blockchain.server.otc.mapper.MarketFreezeMapper;
import com.blockchain.server.otc.service.MarketFreezeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.Date;
import java.util.UUID;

@Service
public class MarketFreezeServiceImpl implements MarketFreezeService {

    @Autowired
    private MarketFreezeMapper marketFreezeMapper;

    @Override
    public MarketFreeze getByUserId(String userId) {
        return marketFreezeMapper.selectByUserId(userId);
    }

    @Override
    @Transactional
    public int insertMarketFreeze(String userId, BigDecimal amount, String coinName) {
        MarketFreeze marketFreeze = new MarketFreeze();
        marketFreeze.setId(UUID.randomUUID().toString());
        marketFreeze.setUserId(userId);
        marketFreeze.setCoinName(coinName);
        marketFreeze.setAmount(amount);
        marketFreeze.setMarketApplyId(null);
        marketFreeze.setCreateTime(new Date());
        return marketFreezeMapper.insertSelective(marketFreeze);
    }

    @Override
    @Transactional
    public int deleteMarketFreeze(String userId) {
        return marketFreezeMapper.deleteByUserId(userId);
    }
}

