package com.blockchain.server.user.common.constants.other;

import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.util.HashMap;

/**
 * @author huangxl
 * @create 2019-03-08 14:50
 */
public class InternationalConstant {
    private static final Logger LOG = LoggerFactory.getLogger(InternationalConstant.country_code);
    private static final String country_code = "{\"86\":\"中国\",\"93\":\"阿富汗\",\"355\":\"阿尔巴尼亚\",\"213\":\"阿尔及利亚\",\"1684\":\"美属萨摩亚\",\"376\":\"安道尔\",\"244\":\"安哥拉\",\"1264\":\"安圭拉\",\"1268\":\"安提瓜和巴布达\",\"54\":\"阿根廷\",\"374\":\"亚美尼亚\",\"297\":\"阿鲁巴\",\"61\":\"澳大利亚\",\"43\":\"奥地利\",\"994\":\"阿塞拜疆\",\"1242\":\"巴哈马\",\"973\":\"巴林\",\"880\":\"孟加拉国\",\"1246\":\"巴巴多斯\",\"375\":\"白俄罗斯\",\"32\":\"比利时\",\"501\":\"伯利兹\",\"229\":\"贝宁\",\"1441\":\"百慕大群岛\",\"975\":\"不丹\",\"591\":\"玻利维亚\",\"387\":\"波斯尼亚和黑塞哥维那\",\"267\":\"博茨瓦纳\",\"55\":\"巴西\",\"673\":\"文莱\",\"359\":\"保加利亚\",\"226\":\"布基纳法索\",\"257\":\"布隆迪\",\"855\":\"柬埔寨\",\"237\":\"喀麦隆\",\"1\":\"加拿大\",\"238\":\"开普\",\"1345\":\"开曼群岛\",\"236\":\"中非共和国\",\"235\":\"乍得\",\"56\":\"智利\",\"57\":\"哥伦比亚\",\"269\":\"科摩罗\",\"682\":\"库克群岛\",\"506\":\"哥斯达黎加\",\"385\":\"克罗地亚\",\"53\":\"古巴\",\"599\":\"库拉索\",\"357\":\"塞浦路斯\",\"420\":\"捷克\",\"243\":\"刚果民主共和国\",\"45\":\"丹麦\",\"253\":\"吉布提\",\"1767\":\"多米尼加\",\"1809\":\"多米尼加共和国\",\"670\":\"东帝汶\",\"593\":\"厄瓜多尔\",\"20\":\"埃及\",\"503\":\"萨尔瓦多\",\"240\":\"赤道几内亚\",\"291\":\"厄立特里亚\",\"372\":\"爱沙尼亚\",\"251\":\"埃塞俄比亚\",\"298\":\"法罗群岛\",\"679\":\"斐济\",\"358\":\"芬兰\",\"33\":\"法国\",\"594\":\"法属圭亚那\",\"689\":\"法属波利尼西亚\",\"241\":\"加蓬\",\"220\":\"冈比亚\",\"995\":\"格鲁吉亚\",\"49\":\"德国\",\"233\":\"加纳\",\"350\":\"直布罗陀\",\"30\":\"希腊\",\"299\":\"格陵兰岛\",\"1473\":\"格林纳达\",\"590\":\"瓜德罗普岛\",\"1671\":\"关岛\",\"502\":\"瓜地马拉\",\"224\":\"几内亚\",\"245\":\"几内亚比绍共和国\",\"592\":\"圭亚那\",\"509\":\"海地\",\"504\":\"洪都拉斯\",\"852\":\"中国香港\",\"36\":\"匈牙利\",\"354\":\"冰岛\",\"91\":\"印度\",\"62\":\"印度尼西亚\",\"98\":\"伊朗\",\"964\":\"伊拉克\",\"353\":\"爱尔兰\",\"972\":\"以色列\",\"39\":\"意大利\",\"225\":\"象牙海岸\",\"1876\":\"牙买加\",\"81\":\"日本\",\"962\":\"约旦\",\"7\":\"哈萨克斯坦\",\"254\":\"肯尼亚\",\"686\":\"基里巴斯\",\"965\":\"科威特\",\"996\":\"吉尔吉斯斯坦\",\"856\":\"老挝\",\"371\":\"拉脱维亚\",\"961\":\"黎巴嫩\",\"266\":\"莱索托\",\"231\":\"利比里亚\",\"218\":\"利比亚\",\"423\":\"列支敦士登\",\"370\":\"立陶宛\",\"352\":\"卢森堡\",\"853\":\"中国澳门\",\"389\":\"马其顿\",\"261\":\"马达加斯加\",\"265\":\"马拉维\",\"60\":\"马来西亚\",\"960\":\"马尔代夫\",\"223\":\"马里\",\"356\":\"马耳他\",\"596\":\"马提尼克\",\"222\":\"毛里塔尼亚\",\"230\":\"毛里求斯\",\"269\":\"马约特\",\"52\":\"墨西哥\",\"373\":\"摩尔多瓦\",\"377\":\"摩纳哥\",\"976\":\"蒙古\",\"382\":\"黑山\",\"1664\":\"蒙特塞拉特岛\",\"212\":\"摩洛哥\",\"258\":\"莫桑比克\",\"95\":\"缅甸\",\"264\":\"纳米比亚\",\"977\":\"尼泊尔\",\"31\":\"荷兰\",\"687\":\"新喀里多尼亚\",\"64\":\"新西兰\",\"505\":\"尼加拉瓜\",\"227\":\"尼日尔\",\"234\":\"尼日利亚\",\"47\":\"挪威\",\"968\":\"阿曼\",\"92\":\"巴基斯坦\",\"680\":\"帕劳\",\"970\":\"巴勒斯坦\",\"507\":\"巴拿马\",\"675\":\"巴布亚新几内亚\",\"595\":\"巴拉圭\",\"51\":\"秘鲁\",\"63\":\"菲律宾\",\"48\":\"波兰\",\"351\":\"葡萄牙\",\"1787\":\"波多黎各\",\"974\":\"卡塔尔\",\"242\":\"刚果共和国\",\"262\":\"留尼汪\",\"40\":\"罗马尼亚\",\"7\":\"俄罗斯\",\"250\":\"卢旺达\",\"1869\":\"圣基茨和尼维斯\",\"1758\":\"圣露西亚\",\"508\":\"圣彼埃尔和密克隆岛\",\"1784\":\"圣文森特和格林纳丁斯\",\"685\":\"萨摩亚\",\"378\":\"圣马力诺\",\"239\":\"圣多美和普林西比\",\"966\":\"沙特阿拉伯\",\"221\":\"塞内加尔\",\"381\":\"塞尔维亚\",\"248\":\"塞舌尔\",\"232\":\"塞拉利昂\",\"65\":\"新加坡\",\"1721\":\"圣马丁岛(荷兰部分)\",\"421\":\"斯洛伐克\",\"386\":\"斯洛文尼亚\",\"677\":\"所罗门群岛\",\"252\":\"索马里\",\"27\":\"南非\",\"82\":\"韩国\",\"34\":\"西班牙\",\"94\":\"斯里兰卡\",\"249\":\"苏丹\",\"597\":\"苏里南\",\"268\":\"斯威士兰\",\"46\":\"瑞典\",\"41\":\"瑞士\",\"963\":\"叙利亚\",\"886\":\"中国台湾\",\"992\":\"塔吉克斯坦\",\"255\":\"坦桑尼亚\",\"66\":\"泰国\",\"670\":\"东帝汶\",\"228\":\"多哥\",\"676\":\"汤加\",\"1868\":\"特立尼达和多巴哥\",\"216\":\"突尼斯\",\"90\":\"土耳其\",\"993\":\"土库曼斯坦\",\"1649\":\"特克斯和凯科斯群岛\",\"256\":\"乌干达\",\"380\":\"乌克兰\",\"971\":\"阿拉伯联合酋长国\",\"44\":\"英国\",\"1\":\"美国\",\"598\":\"乌拉圭\",\"998\":\"乌兹别克斯坦\",\"678\":\"瓦努阿图\",\"58\":\"委内瑞拉\",\"84\":\"越南\",\"1340\":\"英属处女群岛\",\"1284\":\"美属维尔京群岛\",\"967\":\"也门\",\"260\":\"赞比亚\",\"263\":\"津巴布韦\"}";
    private static HashMap<String, String> map;
    public static final String DEFAULT_CODE = "86";

    static {
        ObjectMapper objectMapper = new ObjectMapper();
        try {
            map = objectMapper.readValue(country_code, new TypeReference<HashMap<String, String>>() {
            });
        } catch (IOException e) {
            LOG.error("无法转换国际信息");
            map = new HashMap<>();
        }
    }

    public static String getInternational(String code) {
        return map.get(code);
    }
}
