package com.blockchain.server.user.service.impl;

import com.blockchain.common.base.constant.YyyfConstant;

import com.blockchain.server.user.entity.AssessUser;
import com.blockchain.server.user.mapper.AssessUserMapper;
import com.blockchain.server.user.service.AssessUserService;
import lombok.SneakyThrows;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.HashOperations;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author huan.xu
 * @version 1.0
 * @className AssessUserServiceImpl
 * @description 学生用户考核信息表 服务实现类
 * @date 2019-10-31 14:34
 */
@Transactional(rollbackFor = Exception.class)
@Service
public class AssessUserServiceImpl implements AssessUserService {
    private static Logger LOG = LoggerFactory.getLogger(AssessUserServiceImpl.class);

    @Autowired
    private RedisTemplate redisTemplate;

    @Autowired
    private AssessUserMapper assessUserMapper;



    @Override
    public AssessUser selectAssessUserById(String assessUserId) {

        return this.assessUserMapper.selectByPrimaryKey(assessUserId);
    }



    @Override
    public void insert(AssessUser assessUser) {
        this.assessUserMapper.insertSelective(assessUser);
    }

    @Override
    public void update(AssessUser assessUser) {
        this.assessUserMapper.updateByPrimaryKey(assessUser);
    }



    @Override
    public AssessUser selectById(String assessUserId) {
        return this.assessUserMapper.selectByPrimaryKey(assessUserId);
    }


}