package com.blockchain.server.user.service.impl;

import com.blockchain.common.base.util.ExceptionPreconditionUtils;
import com.blockchain.server.user.common.constants.sql.ConfigConstant;
import com.blockchain.server.user.entity.Config;
import com.blockchain.server.user.mapper.ConfigMapper;
import com.blockchain.server.user.service.ConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author huangxl
 * @create 2019-02-25 17:50
 */
@Service
public class ConfigServiceImpl implements ConfigService {

    @Autowired
    private ConfigMapper configMapper;

    @Override
    public String getValidValueByKey(String key) {
        ExceptionPreconditionUtils.notEmpty(key);
        Config config = new Config();
        config.setDataKey(key);
        config.setDataStatus(ConfigConstant.STATUS_YES);
        Config exist = configMapper.selectOne(config);
        if (exist != null) {
            return exist.getDataValue();
        }
        return null;
    }
}
