package com.blockchain.server.yyyf.controller;

import com.blockchain.common.base.dto.ResultDTO;
import com.blockchain.server.yyyf.controller.api.YyyfMoneyApi;
import com.blockchain.server.yyyf.dto.TransactResultDto;
import com.blockchain.server.yyyf.entity.YyyfMoney;
import com.blockchain.server.yyyf.service.YyyfMoneyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;

/**
 * @author Mr.Xu
 * @version 1.0
 * @className MoneyController
 * @description
 * @date 2020-05-26 20:50
 */
@RestController
@Api(YyyfMoneyApi.CONTROLLER_API)
@RequestMapping("/yyyfMoney")
public class YyyfMoneyController {

    @Autowired
    private YyyfMoneyService yyyfMoneyService;

    private static Logger LOG = LoggerFactory.getLogger(YyyfMoneyController.class);
    @PostMapping("/transact")
    @ApiOperation(value = YyyfMoneyApi.Transact.METHOD_NAME,
            notes = YyyfMoneyApi.Transact.METHOD_NOTE)
    public ResultDTO<TransactResultDto> transact(@ApiParam(YyyfMoneyApi.Transact.METHOD_ASSESS_USER_ID) @RequestParam(name = "assessUserId",required =true) String assessUserId,
                                                 @ApiParam(YyyfMoneyApi.Transact.METHOD_OUT) @RequestParam(name = "out",required =true) String out,
                                                 @ApiParam(YyyfMoneyApi.Transact.METHOD_IN) @RequestParam(name = "in",required =true) String in,
                                                 @ApiParam(YyyfMoneyApi.Transact.METHOD_AMOUNT) @RequestParam(name = "amount",required =true) BigDecimal amount) {

        TransactResultDto transactResultDto=this.yyyfMoneyService.transact(assessUserId,out,in,amount);

        return ResultDTO.requstSuccess(transactResultDto);
    }
}
