package com.blockchain.server.yyyf.dto;

import com.blockchain.server.yyyf.entity.YyyfMoney;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Mr.Xu
 * @version 1.0
 * @className UserTimeMoneyDto
 * @description 包含以渔有方userId、本系统userId、开始时间以及各个币种余额情况
 * @date 2020-06-01 21:23
 */
@ApiModel("用户余额Dto")
@Data
@EqualsAndHashCode(callSuper = true)
public class UserTimeMoneyDto extends YyyfMoney implements Serializable {

    private static final long serialVersionUID = 5093452353347277920L;
    @ApiModelProperty("以渔有方用户id")
    private Integer userId;
    @ApiModelProperty("本系统用户id")
    private String qUserId;
    @ApiModelProperty("开始时间")
    private Date startTime;
    @ApiModelProperty("支付宝初始资金")
    private BigDecimal aliPayInit;
    @ApiModelProperty("微信支付初始资金")
    private BigDecimal wxPayInit;
    @ApiModelProperty("银行卡初始资金")
    private BigDecimal bankCardInit;
}
