package com.blockchain.server.yyyf.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@ApiModel(description = "以渔有方登录请求对象")
@Data
public class YyyfLoginRequestVo implements Serializable {
    private static final long serialVersionUID = 6595694408632033196L;
    @NotNull
    @ApiModelProperty("登录用户的id")
    private Integer userId;
    @NotNull
    @ApiModelProperty("登录用户的姓名")
    private String userName;
    @NotNull
    @ApiModelProperty("用户类型:0学生，1老师，2管理员")
    private Integer userType;
    @ApiModelProperty("学校id，为后期的改logo预留")
    private Integer schoolId;
    @NotNull
    @ApiModelProperty("检验码")
    private String authorization;

    @ApiModelProperty("课程id")
    private String courserId;

    @ApiModelProperty("请求类型：0 考试 1 练习 2 不计分 3 教师、管理员的案例管理")
    private Integer reqType;

    @ApiModelProperty("考核id")
    private String reqId;

    @ApiModelProperty("案例Id")
    private String caseId;

    @ApiModelProperty("班级id")
    private Integer classId;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开始时间")
    private Date beginTime;


    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束时间")
    private Date endTime;


}
