package com.blockchain.server.yyyf.entity;


import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Table(name = "yyyf_server_assess_user")
@Data
public class AssessUser  implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id")
    private String id;

    /**
     * 子系统id
     */
    @Column(name = "train_id")
    private String trainId="0001";

    /**
     * 已发布id
     */
    @Column(name = "issue_id")
    private String issueId;

    /**
     * 子系统练习id（练习才会用到）
     */
    @Column(name = "ss_practise_id")
    private String ssPractiseId;


    /**
     * 用户id
     */
    @Column(name = "user_id")
    private Integer userId;


    /**
     * 区块链用户id
     */
    @Column(name = "q_user_id")
    private String qUserId;

    /**
     * 得分
     */
    @Column(name = "total_score")
    private Double totalScore;
    /**
     * 时长
     */
    @Column(name = "duration")
    private Integer duration;
    /**
     * 时长单位
     */
    @Column(name = "duration_unit")
    private String durationUnit="m";
    /**
     * 开始时间
     */
    @Column(name = "start_time")
    private Date startTime;
    /**
     * 结束时间
     */
    @Column(name = "end_time")
    private Date endTime;
    /**
     * 案例id
     */
    @Column(name = "case_id")
    private String caseId;

    /**
     * 0 练习 1考核
     */
    @Column(name = "achieve_ment_type")
    private Integer achieveMentType;

    /**
     * 绑定班级
     */
    @Column(name = "class_id")
    private String classId;

    /**
     * 绑定的课程id
     */
    @Column(name = "course_id")
    private String courseId;
    /**
     * 绑定的课程id
     */
    @Column(name = "user_name")
    private String userName;

    /**
     * 用户类型:0学生，1老师，2管理员
     */
    @Column(name = "user_Type")
    private Integer userType;

    /**
     * 微信账户初始资金
     */
    @Column(name = "wechat_init_money")
    private BigDecimal wechatInitMoney;
    /**
     * 支付宝账户初始资金
     */
    @Column(name = "alipay_init_money")
    private BigDecimal alipayInitMoney;
    /**
     * 银行卡账户初始资金
     */
    @Column(name = "bankcard_init_money")
    private BigDecimal bankcardInitMoney;
    /**
     * 数字钱包初始资产
     */
    @Column(name = "digitwallet_init_money")
    private BigDecimal digitwalletInitMoney;

    /**
     * 区块链账号
     */
    @Column(name = "tel")
    private String tel;
    /**
     * 密码
     */
    @Column(name = "password")
    private String password;
}
