package com.blockchain.server.yyyf.feign;

import com.blockchain.common.base.dto.GasDTO;
import com.blockchain.common.base.dto.ResultDTO;
import com.blockchain.server.yyyf.feign.dto.EthWalletDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient("dapp-eth-server")
public interface EthFeign {
    @GetMapping("/inner/wallet/getWallets")
    ResultDTO<List<EthWalletDTO>> getWallets(@RequestParam("userId") String userId);

    @GetMapping("/inner/walletParam/getGasConfig")
    ResultDTO<GasDTO> getGasConfig(String tokenSymbol);
}
