package com.blockchain.server.yyyf.feign.dto;

import com.blockchain.common.base.dto.BaseDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CurrencyMarketDTO extends BaseDTO implements Comparable<CurrencyMarketDTO> {

    private String currencyPair;
    private BigDecimal amount;
    private Long timestamp;
    private float percent;
    private double usdAmount;
    private double cnyAmount;
    private double hkdAmount;
    private double eurAmount;
    //最低
    private BigDecimal lowest;
    //最高
    private BigDecimal highest;
    //开盘
    private BigDecimal open;
    //成交量
    private BigDecimal total;

    @Override
    public int compareTo(CurrencyMarketDTO o) {
        return (int) (10000 * o.percent - 10000 * this.percent);
    }
}
