package com.blockchain.server.yyyf.indicators;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author fengyu
 */
public interface IndicatorsManager {

    /**
     * calculate indicator by full exam
     *
     * @param assessUserId page result id
     * @return indicators type -> indicators result
     * @author fengyu.wang
     * @date 2020-05-27 22:36:01
     */
    Map<String, Float> calculatePageIndicators(String assessUserId);

    /**
     * calculate current total asset
     *
     * @param userId system user id
     * @param assessUserId page result id
     * @return current total assets (RMB)
     * @author fengyu.wang
     * @date 2020-06-02 20:15:15
     */
    BigDecimal calculateCurrentTotalAssets(String userId, String assessUserId);
}
