package com.blockchain.server.yyyf.indicators;

import com.blockchain.server.yyyf.indicators.dto.AssetsReporter;
import com.blockchain.server.yyyf.indicators.dto.LastAndFirstAssetsDto;
import lombok.Data;

import javax.persistence.EntityExistsException;
import java.util.List;

/**
 * @author huan.xu
 * @version 1.0
 * @className IndicatorsUtils
 * @description
 * @date 2020-06-05 10:21
 */
@Data
public class IndicatorsUtils {


    /**
     * 获取 期初与期末的信息
     * @param reporterList
     * @return
     */
    public static LastAndFirstAssetsDto getLastAndFirstAssetsDto(List<AssetsReporter> reporterList) {
        LastAndFirstAssetsDto result = new LastAndFirstAssetsDto();

        if (reporterList != null && reporterList.size() > 0) {
            //期初资产
            AssetsReporter firstAssets = null;
            //交易期内最后一天
            AssetsReporter lastAssets = null;
            for (AssetsReporter assetsReporter : reporterList) {
                if (assetsReporter.getDays() == 0) { //如果期初资产
                    firstAssets = assetsReporter;
                } else {
                    if (lastAssets == null) { //最小的若为null
                        lastAssets = assetsReporter;
                    } else {
                        if (assetsReporter.getDays() > lastAssets.getDays()) {
                            lastAssets = assetsReporter;
                        }
                    }
                }
            }
            result.setFirstAssets(firstAssets);
            result.setLastAssets(lastAssets);
            return result;
        } else {
            throw new EntityExistsException("assessUser not exit");
        }


    }

}