package com.blockchain.server.yyyf.indicators.dto;

import lombok.Getter;

/**
 * @author fengyu
 */

public enum IndicatorsTypeEnum {
    /*年化收益率*/
    ANNUAL_GROWTH_RATE("AnnualGrowthRate"),
    /*收益率*/
    GROWTH_RATE("GrowthRate"),
    /*累计收益率*/
    TOTAL_GROWTH_RATE("TotalGrowthRate"),
    /*波动率*/
    FLUCTUATION_RATE("FluctuationRate"),
    /*夏普比率*/
    SHAPE_RATE("ShapeRate"),
    /*盈亏比*/
    PROFIT_LOSS_RATE("ProfitLossRate"),
    /*最大回撤率*/
    MAX_DRAWDOWN_RATE("MaxDrawdownRate"),
    /*最大亏损率*/
    MAX_LOSS_RATE("MaxLossRate"),
    /*Total Value to Paid-in Capital*/
    TVPI("TVPI");

    @Getter
    private final String code;

    IndicatorsTypeEnum(String code) {
        this.code = code;
    }

    public static IndicatorsTypeEnum parseCode(String code) {
        for (IndicatorsTypeEnum value : IndicatorsTypeEnum.values()) {
            if (code.equals(value.getCode())) {
                return value;
            }
        }
        throw new IllegalArgumentException();
    }
}
