package com.blockchain.server.yyyf.indicators.handle;

import com.blockchain.server.yyyf.indicators.IndicatorsHandler;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.math.BigDecimal;

/**
 * @author fengyu
 */
@Component(ShapeRateIndicatorsHandler.HANDLER_NAME + IndicatorsHandler.HANDLER_NAME)
public class ShapeRateIndicatorsHandler implements IndicatorsHandler {
    public static final String HANDLER_NAME = "ShapeRate";

    //无风险利率，配置文件注入，防止后期更改
    @Value("${rate.riskFree}")
    private BigDecimal riskFree;

    @Resource(name = AnnualGrowthRateIndicatorsHandler.HANDLER_NAME + IndicatorsHandler.HANDLER_NAME)
    private AnnualGrowthRateIndicatorsHandler annualGrowthRateIndicatorsHandler;

    @Resource(name = FluctuationRateIndicatorsHandler.HANDLER_NAME + IndicatorsHandler.HANDLER_NAME)
    private FluctuationRateIndicatorsHandler fluctuationRateIndicatorsHandler;

    @Override
    public Float handleIndicator(String assessUserId) {

        //年化收益率
        Float annualGrowthRate=annualGrowthRateIndicatorsHandler.handleIndicator(assessUserId);
        //波动率
        Float fluctuationRate=fluctuationRateIndicatorsHandler.handleIndicator(assessUserId);

        return BigDecimal.valueOf(annualGrowthRate).subtract(riskFree).divide(BigDecimal.valueOf(fluctuationRate),4,BigDecimal.ROUND_HALF_UP)
                .floatValue();

    }

}
