package com.blockchain.server.yyyf.mapper;


import com.blockchain.server.yyyf.dto.AssessUserDto;
import com.blockchain.server.yyyf.dto.UserTimeMoneyDto;
import com.blockchain.server.yyyf.entity.AssessUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;


@Repository
public interface AssessUserMapper extends Mapper<AssessUser> {


    Map<String, Object> selectUserGradeCase(Map<String, Object> con);


    List<Map<String, Object>> selectUserGradeListByClassIdAndIssueId(Map<String, Object> con);


    /**
     * @description 通过AssessUserDtoLis批量更新AssessUser
     * @author Mr.Xu
     * @date  2020-05-15 00:08:17
     * @param [assessUserDtoList]
     * @return void
     **/
    void batchUpdateTotalScoreByAssessUserDtoList(@Param("assessUserDtoList") List<AssessUserDto> assessUserDtoList);

    List<AssessUserDto> selectAssessUserDtoByIssueId(@Param("issueId") String issueId);

    /**
     * @description 获取未提交的 UserTimeMoneyDto List
     * @author Mr.Xu
     * @date  2020-06-01 22:05:09
     * @param []
     * @return java.util.List<com.blockchain.server.yyyf.dto.UserTimeMoneyDto>
     **/
    List<UserTimeMoneyDto> selectUserTimeMoneyDtosForNotEnd();

    /**
     * @description assessUserId通过assessUserId 获取余额情况
     * @author Mr.Xu
     * @date  2020-06-02 21:07:23
     * @param [assessUserId]
     * @return com.blockchain.server.yyyf.dto.UserTimeMoneyDto
     **/
    UserTimeMoneyDto getUserTimeMoneyDtoByAssessUserId(@Param("assessUserId") String assessUserId);

    UserTimeMoneyDto selectCurrentUserTimeMoneyDto(@Param("assessUserId") String assessUserId, @Param("qUserId")String qUserId);
}
