package com.blockchain.server.yyyf.mapper;

import com.blockchain.server.yyyf.dto.AssessUserDto;
import com.blockchain.server.yyyf.dto.StudentTargetErrorStatisticsDto;
import com.blockchain.server.yyyf.entity.AssessUserTarget;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface AssessUserTargetMapper extends Mapper<AssessUserTarget> {



    /**
     * @description 批量插入指标
     * @author Mr.Xu
     * @date  2020-05-14 23:24:21
     * @param [list]
     * @return void
     **/
    void batchInsert(@Param("list")List<AssessUserTarget> list);

    List<AssessUserTarget> selectAllStudentAssessUserTargetByIssueId(@Param("issueId")String issueId);

    List<StudentTargetErrorStatisticsDto> getStudentTargetErrorStatisticsDtoListByIssueId(@Param("issueId")String issueId);

    /**
     * @description 批量更新指标库最终答题情况
     * @author Mr.Xu
     * @date  2020-06-01 22:54:19
     * @param [updateAssessUserTargetList]
     * @return void
     **/
    void batchUpdateTargetAnswer(@Param("list") List<AssessUserTarget> updateAssessUserTargetList);
}
