package com.blockchain.server.yyyf.service;


import com.blockchain.server.train.dto.TrainCaseTargetDto;
import com.blockchain.server.yyyf.dto.AssessUserDto;
import com.blockchain.server.yyyf.dto.UserTimeMoneyDto;
import com.blockchain.server.yyyf.entity.AssessUser;

import java.util.List;

/**
 * @param
 * @author huan.xu
 * @description 学生用户考核信息表 服务接口类
 * @date 2019-10-31 14:36:49
 * @return
 **/
public interface AssessUserService {


    public AssessUser selectAssessUserByUserIdAndissueIdForNotEnd(Integer userId, String issueId);



    /**
     * @description 根据 assessUser 表的id查询assessUser
     * @param [assessUserId]
     * @return com.gtafeyyyf.model.AssessUser
     **/
    AssessUser selectAssessUserById(String assessUserId);




    /**
     * @description 插入
     * @author Mr.Xu
     * @date  2020-05-13 22:37:12
     * @param [assessUser]
     * @return void
     **/
    void insert(AssessUser assessUser);

    /**
     * @description 初始化考核数据
     * @author Mr.Xu
     * @date  2020-05-14 22:03:38
     * @param [assessUser, trainCaseTargeList]
     * @return void
     **/
    void initAssessUser(AssessUser assessUser, List<TrainCaseTargetDto> trainCaseTargeList );

    /**
     * @description 更新数据
     * @author Mr.Xu
     * @date  2020-05-14 22:03:02
     * @param [assessUser]
     * @return void
     **/
    void update(AssessUser assessUser);

    /**
     * @description 提交事务
     * @author Mr.Xu
     * @date  2020-05-14 22:24:29
     * @param [assessUserId]
     * @return void
     **/
    AssessUserDto submit(String assessUserId);

    /**
     * @description 批量同步成绩
     * @author Mr.Xu
     * @date  2020-05-14 23:21:20
     * @param [issueId]
     * @return void
     **/
    void synchronousScore(String issueId);

    AssessUser selectScore(String examId, Integer userId);


    int selectCountByByIssueId(String issueId);

    AssessUser getAssessUserByIssueIdAndUserIdForExam(String issueId, Integer userId);

    List<AssessUser> getAssessUserListByIssueIdAndUserId(String issueId, Integer userId);

    AssessUser selectById(String assessUserId);


    /**
     * @description 获取未提交的 UserTimeMoneyDto List
     * @author Mr.Xu
     * @date  2020-06-01 22:05:09
     * @param []
     * @return java.util.List<com.blockchain.server.yyyf.dto.UserTimeMoneyDto>
     **/
    public List<UserTimeMoneyDto> selectUserTimeMoneyDtosForNotEnd();

    /**
     * @description assessUserId通过assessUserId 获取余额情况
     * @author Mr.Xu
     * @date  2020-06-02 21:06:35
     * @param [assessUserId]
     * @return com.blockchain.server.yyyf.dto.UserTimeMoneyDto
     **/
    UserTimeMoneyDto getUserTimeMoneyDtoByAssessUserId(String assessUserId);
}
