package com.blockchain.server.yyyf.service;

import com.blockchain.server.yyyf.dto.StudentTargetErrorStatisticsDto;
import com.blockchain.server.yyyf.entity.AssessUserTarget;

import java.util.List;

public interface AssessUserTargetService{

    /**
     * @description 根据assessUserId和code获取指标信息
     * @param [assessUserId, code]
     * @return com.blockchain.server.yyyf.entity.AssessUserTarget
     **/
    AssessUserTarget selectByAssessUserAndCode(String assessUserId, String code);

    /**
     * @description 更新
     * @param [assessUserTarget]
     * @return void
     **/
    void update(AssessUserTarget assessUserTarget);

    /**
     * @description 通过assessUserId 获取指标答题情况
     * @param [assessUserId]
     * @return java.util.List<com.blockchain.server.yyyf.entity.AssessUserTarget>
     **/
    List<AssessUserTarget> selectAssessUserTargetByAssessUserId(String assessUserId);


    List<AssessUserTarget> selectAllStudentAssessUserTargetByIssueId(String issueId);

    List<StudentTargetErrorStatisticsDto>  getStudentTargetErrorStatisticsDtoListByIssueId(String issueId);

    /**
     * @description 还原指标表
     * @author Mr.Xu
     * @date  2020-06-03 00:05:17
     * @param [assessUserId]
     * @return void
     **/
    void restoreByAssessUserId(String assessUserId);
}
