package com.blockchain.server.yyyf.service.impl;

import com.blockchain.server.yyyf.dto.StudentTargetErrorStatisticsDto;
import com.blockchain.server.yyyf.entity.AssessUserTarget;
import com.blockchain.server.yyyf.mapper.AssessUserTargetMapper;
import com.blockchain.server.yyyf.service.AssessUserTargetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * @version 1.0
 * @className AssessUserProjectServiceImpl
 * @description
 */
@Transactional(rollbackFor = Exception.class)
@Service
public class AssessUserTargetServiceImpl implements AssessUserTargetService {
    @Autowired
    private AssessUserTargetMapper assessUserTargetMapper;

    @Override
    public AssessUserTarget selectByAssessUserAndCode(String assessUserId, String code) {
        Example example=new Example(AssessUserTarget.class);
        Example.Criteria criteria=example.createCriteria();
        criteria.andCondition(" assess_user_id= ",assessUserId);
        criteria.andCondition(" code = ",code);
          return this.assessUserTargetMapper.selectOneByExample(example);
    }

    @Override
    public void update(AssessUserTarget assessUserTarget) {
        this.assessUserTargetMapper.updateByPrimaryKeySelective(assessUserTarget);
    }

    @Override
    public List<AssessUserTarget> selectAssessUserTargetByAssessUserId(String assessUserId) {
        Example example=new Example(AssessUserTarget.class);
        Example.Criteria criteria = example.createCriteria();
        criteria.andCondition(" assess_user_id = " ,assessUserId);
        return this.assessUserTargetMapper.selectByExample(example);
    }

    @Override
    public List<AssessUserTarget> selectAllStudentAssessUserTargetByIssueId(String issueId) {
        return this.assessUserTargetMapper.selectAllStudentAssessUserTargetByIssueId(issueId);
    }

    @Override
    public List<StudentTargetErrorStatisticsDto>  getStudentTargetErrorStatisticsDtoListByIssueId(String issueId) {
        return this.assessUserTargetMapper.getStudentTargetErrorStatisticsDtoListByIssueId(issueId);
    }

    @Override
    public void restoreByAssessUserId(String assessUserId) {
        Example example=new Example(AssessUserTarget.class);
        Example.Criteria criteria = example.createCriteria();
        criteria.andCondition(" assess_user_id = " ,assessUserId);
        AssessUserTarget assessUserTarget=new AssessUserTarget();
        assessUserTarget.setAnswer(1);
        assessUserTarget.setStudentRate(0d);
         this.assessUserTargetMapper.updateByExampleSelective(assessUserTarget,example);

    }

}