package com.blockchain.server.yyyf.task;

import com.blockchain.common.base.constant.YyyfConstant;
import com.blockchain.server.yyyf.dto.ExamDto;
import com.blockchain.server.yyyf.service.AssessUserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.core.HashOperations;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import java.util.Date;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

/**
 * @author Mr.Xu
 * @version 1.0
 * @className ScheduleTask
 * @description
 * @date 2020-05-14 23:16
 */
@Configuration
@EnableScheduling
public class ScheduleTask {
    private Logger logger = LoggerFactory.getLogger(getClass());
    @Autowired
    private AssessUserService assessUserService;

    @Autowired
    private RedisTemplate redisTemplate;

    @Scheduled(initialDelay = 5000,fixedRate=60000)
    private void OneMinuteTask() {
        logger.info("开始扫描考试"+ new Date());
        HashOperations<String, String, ExamDto> examDtoOpsForHash = redisTemplate.opsForHash();
        Map<String, ExamDto> examDtoMap = examDtoOpsForHash.entries(YyyfConstant.EXAM_KEY);
        Set<Map.Entry<String, ExamDto>> entries = examDtoMap.entrySet();
        Iterator<Map.Entry<String, ExamDto>> iterator = entries.iterator();
        Date now =new Date();
        logger.info("size is " + entries.size() );
        while(iterator.hasNext()){
            Map.Entry<String, ExamDto> next = iterator.next();
            ExamDto examDto = next.getValue();
            Date endTime = examDto.getEndTime();
            if(now.after(endTime)){
                this.assessUserService.synchronousScore(examDto.getExamId());
            }
        }
        logger.info("完成扫描考试"+ new Date());
    }
}
